Subject: bug#9867: 24.0.90; quit-window should provide quit-window-hook

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Aug 2019 07:24:39 +0200

martin rudalics <[email-masked]> writes:

>> That's true, but is there a use case for the hook function having to
>> know what window it's quitting?
>
> I don't know.  But you could replace 'with-current-buffer' with
> 'with-selected-window' to avoid worrying about that (and better check
> if WINDOW is not already selected before doing that internal state
> saving rigmarole).

I wasn't aware of `with-selected-window' -- it sounds a bit dramatic.
Does it have any side effects?

> Or, as I suggested earlier, run the hook only when
> quitting the selected window.

That's possible, but the semantics become perhaps a bit complicated?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no